patterncazy <- function(type= c("blast","hmmer")) {
  type <- match.arg(type)
  system("perl /home/uoc/ps_scan/ps_scan.pl list_acc.fa -d /home/uoc/ps_scan/prosite.dat -o pff -s > list_acc_prosite")
  system("awk '{print $4}' list_acc_prosite | sort | uniq | sed -e 's/^/-p /' > list_acc_prosite_ID")
  if (type=="blast") {
    prosite <- read.table(text=(system("perl /home/uoc/ps_scan/ps_scan.pl list_acc_blastp.fa -d /home/uoc/ps_scan/prosite.dat $(paste -s -d ' ' list_acc_prosite_ID) -o pff -s", intern = TRUE)), fill = TRUE)
  }
  else if(type=="hmmer") {
    prosite <- read.table(text=(system("perl /home/uoc/ps_scan/ps_scan.pl genomic_prot_hmm.fa -d /home/uoc/ps_scan/prosite.dat $(paste -s -d ' ' list_acc_prosite_ID) -o pff -s", intern = TRUE)), fill = TRUE)
  }
  prosite <- prosite[,1:4]
  colnames(prosite) <- c("target_domain","start_pattern","end_pattern","name_pattern")
  return(prosite)
}
